# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('vm', '0002_interface_model'),
    ]

    operations = [
        migrations.CreateModel(
            name='AzureBuiltinOffer',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('azure_id', models.TextField(verbose_name='azure_id')),
                ('name', models.TextField(verbose_name='name')),
            ],
            options={
                'db_table': 'vm_azure_offer',
            },
        ),
        migrations.CreateModel(
            name='AzureBuiltinPublisher',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('azure_id', models.TextField(verbose_name='azure_id')),
                ('name', models.TextField(verbose_name='name')),
            ],
            options={
                'db_table': 'vm_azure_publisher',
            },
        ),
        migrations.CreateModel(
            name='AzureBuiltinSKU',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('azure_id', models.TextField(verbose_name='azure_id')),
                ('name', models.TextField(verbose_name='name')),
                ('offer', models.ForeignKey(related_name='azure_sku', verbose_name='azure_offer', to='vm.AzureBuiltinOffer')),
            ],
            options={
                'db_table': 'vm_azure_sku',
            },
        ),
        migrations.CreateModel(
            name='AzureBuiltinVersion',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('azure_id', models.TextField(verbose_name='azure_id')),
                ('name', models.TextField(verbose_name='name')),
                ('offer', models.ForeignKey(related_name='azure_version', verbose_name='azure_sku', to='vm.AzureBuiltinSKU')),
            ],
            options={
                'db_table': 'vm_azure_version',
            },
        ),
        migrations.AddField(
            model_name='azurebuiltinoffer',
            name='publisher',
            field=models.ForeignKey(related_name='azure_offer', verbose_name='azure_publisher', to='vm.AzureBuiltinPublisher'),
        ),
    ]
