# Copyright 2014 Budapest University of Technology and Economics (BME IK)
#
# This file is part of CIRCLE Cloud.
#
# CIRCLE is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free
# Software Foundation, either version 3 of the License, or (at your option)
# any later version.
#
# CIRCLE is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along
# with CIRCLE.  If not, see <http://www.gnu.org/licenses/>.

from __future__ import absolute_import, unicode_literals

from django.db import models
from django.utils.translation import ugettext_lazy as _

from logging import getLogger

logger = getLogger(__name__)

class AzureVirtualMachineSize(models.Model):
    """
    Azure Virtual Machine size
    """
    name = models.TextField(verbose_name=_('name'), unique=True)
    number_of_cores = models.IntegerField(
        verbose_name=_('number of cores'))
    os_disk_size_in_mb = models.IntegerField(
        verbose_name=_('os disk size in mb'))
    resource_disk_size_in_mb = models.IntegerField(
        verbose_name=_('resource disk size in mb'))
    memory_in_mb = models.IntegerField(
        verbose_name=_('memory in mb'))
    max_data_disk_count = models.IntegerField(
        verbose_name=_('max data disk count'))

    class Meta:
        app_label = 'vm'
        db_table = 'vm_azure_vm_size'

    def __unicode__(self):
        return 'azure_vm_size-' + str(self.name)